=== modified file 'bzrlib/tests/per_bzrdir/test_bzrdir.py'
--- bzrlib/tests/per_bzrdir/test_bzrdir.py	2011-03-05 02:54:47 +0000
+++ bzrlib/tests/per_bzrdir/test_bzrdir.py	2011-03-08 00:53:45 +0000
@@ -22,8 +22,10 @@
 import bzrlib.branch
 from bzrlib import (
     errors,
+    repository,
     revision as _mod_revision,
     transport,
+    workingtree,
     )
 from bzrlib.tests import (
     TestSkipped,
@@ -34,6 +36,48 @@
     )
 
 
+class AnonymousTestBranchFormat(bzrlib.branch.BranchFormat):
+    """An anonymous branch format (does not have a format string)"""
+
+    def get_format_string(self):
+        raise NotImplementedError(self.get_format_string)
+
+
+class IdentifiableTestBranchFormat(bzrlib.branch.BranchFormat):
+    """An identifable branch format (has a format string)"""
+
+    def get_format_string(self):
+        return "I have an identity"
+
+
+class AnonymousTestRepositoryFormat(repository.RepositoryFormat):
+    """An anonymous branch format (does not have a format string)"""
+
+    def get_format_string(self):
+        raise NotImplementedError(self.get_format_string)
+
+
+class IdentifiableTestRepositoryFormat(repository.RepositoryFormat):
+    """An identifable branch format (has a format string)"""
+
+    def get_format_string(self):
+        return "I have an identity"
+
+
+class AnonymousTestWorkingTreeFormat(workingtree.WorkingTreeFormat):
+    """An anonymous branch format (does not have a format string)"""
+
+    def get_format_string(self):
+        raise NotImplementedError(self.get_format_string)
+
+
+class IdentifiableTestWorkingTreeFormat(workingtree.WorkingTreeFormat):
+    """An identifable branch format (has a format string)"""
+
+    def get_format_string(self):
+        return "I have an identity"
+
+
 class TestBzrDir(TestCaseWithBzrDir):
 
     # Many of these tests test for disk equality rather than checking

=== modified file 'bzrlib/tests/per_controldir/test_controldir.py'
--- bzrlib/tests/per_controldir/test_controldir.py	2011-03-08 00:04:05 +0000
+++ bzrlib/tests/per_controldir/test_controldir.py	2011-03-08 00:53:45 +0000
@@ -50,48 +50,6 @@
     )
 
 
-class AnonymousTestBranchFormat(bzrlib.branch.BranchFormat):
-    """An anonymous branch format (does not have a format string)"""
-
-    def get_format_string(self):
-        raise NotImplementedError(self.get_format_string)
-
-
-class IdentifiableTestBranchFormat(bzrlib.branch.BranchFormat):
-    """An identifable branch format (has a format string)"""
-
-    def get_format_string(self):
-        return "I have an identity"
-
-
-class AnonymousTestRepositoryFormat(repository.RepositoryFormat):
-    """An anonymous branch format (does not have a format string)"""
-
-    def get_format_string(self):
-        raise NotImplementedError(self.get_format_string)
-
-
-class IdentifiableTestRepositoryFormat(repository.RepositoryFormat):
-    """An identifable branch format (has a format string)"""
-
-    def get_format_string(self):
-        return "I have an identity"
-
-
-class AnonymousTestWorkingTreeFormat(workingtree.WorkingTreeFormat):
-    """An anonymous branch format (does not have a format string)"""
-
-    def get_format_string(self):
-        raise NotImplementedError(self.get_format_string)
-
-
-class IdentifiableTestWorkingTreeFormat(workingtree.WorkingTreeFormat):
-    """An identifable branch format (has a format string)"""
-
-    def get_format_string(self):
-        return "I have an identity"
-
-
 class TestControlDir(TestCaseWithControlDir):
 
     def skipIfNoWorkingTree(self, a_bzrdir):

